- show_whitespace_toggle = local_assigns.fetch(:show_whitespace_toggle, true)
- diff_files = diffs.diff_files
- if diff_view == 'parallel'
  - fluid_layout true

.content-block.oneline-block.files-changed
  .inline-parallel-buttons
    - if !expand_all_diffs? && diff_files.any? { |diff_file| diff_file.collapsed? }
      = link_to 'Expand all', url_for(params.merge(expand_all_diffs: 1, format: nil)), class: 'btn btn-default'
    - if show_whitespace_toggle
      - if current_controller?(:commit)
        = commit_diff_whitespace_link(diffs.project, @commit, class: 'hidden-xs')
      - elsif current_controller?(:merge_requests)
        = diff_merge_request_whitespace_link(diffs.project, @merge_request, class: 'hidden-xs')
      - elsif current_controller?(:compare)
        = diff_compare_whitespace_link(diffs.project, params[:from], params[:to], class: 'hidden-xs')
    .btn-group
      = inline_diff_btn
      = parallel_diff_btn
  = render 'projects/diffs/stats', diff_files: diff_files

- if diff_files.overflow?
  = render 'projects/diffs/warning', diff_files: diff_files

.files{data: {can_create_note: (!@diff_notes_disabled && can?(current_user, :create_note, diffs.project))}}
  - diff_files.each_with_index do |diff_file, index|
    - diff_commit = commit_for_diff(diff_file)
    - blob = diff_file.blob(diff_commit)
    - next unless blob
    - blob.load_all_data!(diffs.project.repository) unless blob.only_display_raw?

    = render 'projects/diffs/file', i: index, project: diffs.project,
      diff_file: diff_file, diff_commit: diff_commit, blob: blob
